Bug Hunting Session
Bug 108152 - Diacritic positioning at beginning of paragraph not working with Graphite font
Summary: Diacritic positioning at beginning of paragraph not working with Graphite font
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2017-05-27 10:14 UTC by Floater
Modified: 2019-06-06 02:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Graphite Font file (383.07 KB, application/x-font-ttf)
2017-05-27 10:14 UTC, Floater
Details
DOC illustrating bug (9.28 KB, application/vnd.oasis.opendocument.text)
2017-05-27 10:16 UTC, Floater
Details
PDF of DOC illustrating bug (25.55 KB, application/pdf)
2017-05-27 10:17 UTC, Floater
Details
Graphite font file (380.45 KB, application/x-font-ttf)
2017-05-27 10:33 UTC, Floater
Details
Font working with Worldpad (114.66 KB, image/png)
2017-06-04 09:09 UTC, Floater
Details
Font working with Firefox (45.03 KB, image/png)
2017-06-04 09:11 UTC, Floater
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Floater 2017-05-27 10:14:16 UTC
Created attachment 133637 [details]
Graphite Font file

OS:Win XP

LO ver: 5.3.3.2

The first BaseGlyph-Diacritic at the beginning of a paragraph is not positioned properly. The subsequent pairs are placed ok.

The attached doc shows the same pair at the beginning and following text flow.

1st pair positioning is wrong. 2nd is ok.

The bug has existed at least from LO Ver 5.1.

Venkatesh
Comment 1 Floater 2017-05-27 10:16:14 UTC
Created attachment 133638 [details]
DOC illustrating bug
Comment 2 Floater 2017-05-27 10:17:45 UTC
Created attachment 133639 [details]
PDF of DOC illustrating bug
Comment 3 Floater 2017-05-27 10:33:43 UTC
Created attachment 133640 [details]
Graphite font file

Pl ignore GodaGr_1_0_6.ttf

use GodaGr_1_0_5.ttf instead.
Comment 4 Buovjaga 2017-06-03 09:40:12 UTC
Are you sure there is not a problem in the font?
Comment 5 Floater 2017-06-04 09:09:27 UTC
Created attachment 133840 [details]
Font working with Worldpad
Comment 6 Floater 2017-06-04 09:11:11 UTC
Yes; to the extent it's working with Graide (Graphi IDE from SIL), Worldpad (from SIL) and Firfox. Screenshots of the same "Test text" copy pasted into World pad and firefox are attached
Comment 7 Floater 2017-06-04 09:11:54 UTC
Created attachment 133841 [details]
Font working with Firefox
Comment 8 Buovjaga 2017-06-04 10:05:00 UTC
Ok, confirmed.

Version: 5.5.0.0.alpha0+
Build ID: b08217989558addbcaded122a4e7211ae24bbcff
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-05-31_06:31:36
Locale: fi-FI (fi_FI); Calc: group
Comment 9 QA Administrators 2018-06-05 02:39:13 UTC Comment hidden (obsolete)
Comment 10 Floater 2018-06-05 11:46:40 UTC
Bug persists intact in Ver 5.4.7.2.
Comment 11 QA Administrators 2019-06-06 02:55:06 UTC
Dear Floater,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug